#run.tcl  functions for manipulating the run number file

set filename run-number

#
# create and initialise run number
#
proc run-num-create {} {
	global env filename

	set f [open [file join $env(EXPERIMENTBASE) $filename] w]
	puts $f 0
	close $f
	return 0
}
#
# read run number
#
proc run-num-read {} {
	global env filename

	set z [catch {open [file join $env(EXPERIMENTBASE) $filename] r} f]
	if {$z!=0} then {return [run-num-create]}

	set num [gets $f]
	close $f
	return $num
}
#
# increment run number
#
proc run-num-incr {} {
	global env filename

	set num [run-num-read]
	
	set f [open [file join $env(EXPERIMENTBASE) $filename] w]
	puts $f [incr num]
	close $f
	return $num
}
