set maxclass 31
set classlist {0 1 4 8 30 31}

for {set i 0} {$i<=$maxclass} {incr i} {set selected($i) 0}
foreach i $classlist {set selected($i) 1}

set classnames [list   "0  - Test"  \
		       "1  - Miscellaneous"  \
		       "4  - Spectrum Server"  \
		       "8  - Register Server"  \
		       "9  - Data Acquisition"  \
		       "30 - MEIS"  \
		       "31 - Stepper Motors"  ]



set min 4

proc Action {text} {
   global resource resources
   set m [split $text #]
   if {[second $m] == "message" && [fourth $m] == "action"} then {
#    correctly formatted action 

      set source [fourth [first $m]]
      set resource $resources($source)
      set message [third $m]
      set action [fifth $m]

      insert-log "[date] Message received from $source: text - $message; action - $action"

      set z [catch {eval [first $action] [list [tail $action]]} result]
      if {$result != ""} then {insert-log "Action result: $result"} else {insert-log "Action complete"}
   }
}

