#    include file for the MEIS data acquisition

lappend tasklist     "sys common.meis run aqs aqw info #"
set ACTION(ACQUISITION) "ACQUISITION \{inform sys start\}"
set MENU(ACQUISITION)   ":button ACQUISITION  :label \"Data Acquisition...\""

lappend tasklist     "gon common.meis run #"
set ACTION(GON) "GON \{inform gon start\}"
set MENU(GON)   ":button GON  :label \"Goniometer...\""

lappend tasklist     "int common.meis #"
set ACTION(INT) "INT \{inform int start\}"
set MENU(INT)   ":button INT  :label \"Current Integrator...\""

#set ACTION(OPERATOR) "OPERATOR \{inform operator start\}"
#set MENU(OPERATOR)   ":button OPERATOR  :label \"Operator...\""

set expertmenulist {}
set experttasklist {}

lappend tasklist     "operator common.meis #"
lappend experttasklist  operator
lappend expertmenulist "Operator..."

lappend tasklist     "erda common.meis #"
lappend experttasklist  erda
lappend expertmenulist "ERDA..."

set expertmenu {}
foreach item $expertmenulist {
   if {$item != ""} then {lappend expertmenu $item}
}

proc click-expert m {
   global experttasklist expertmenulist
   set task [lindex $experttasklist [lsearch $expertmenulist $m]]
   inform $task start
}

set ACTION(EXPERT) "EXPERT \{click-expert \$v\}"

set MENU(EXPERT)   "global expertmenu; :menubutton EXPERT  :label \"Operator\" :strings \$expertmenu"

lappend tasklist     "correctA sb.common common.meis #"
lappend tasklist     "correctE sb.common common.meis #"
lappend tasklist     "stats #"
